# Copyright 2022 Toshimitsu Kimura <lovesyao@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

def free_weights(unet, vae, text_model):
    del unet._modules["time_embedding"]._modules["linear_1"]._parameters["weight"]
    del unet._modules["time_embedding"]._modules["linear_1"]._parameters["bias"]
    del unet._modules["time_embedding"]._modules["linear_2"]._parameters["weight"]
    del unet._modules["time_embedding"]._modules["linear_2"]._parameters["bias"]
    del unet._modules["conv_in"]._parameters["weight"]
    del unet._modules["conv_in"]._parameters["bias"]
    del unet._modules["conv_norm_out"]._parameters["weight"]
    del unet._modules["conv_norm_out"]._parameters["bias"]
    del unet._modules["conv_out"]._parameters["weight"]
    del unet._modules["conv_out"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["norm"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["norm"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["proj_in"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["proj_in"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["proj_out"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][0]._modules["proj_out"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["norm"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["norm"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["proj_in"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["proj_in"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["proj_out"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["attentions"][1]._modules["proj_out"]._parameters["bias"]
    del unet._modules["down_blocks"][0]._modules["downsamplers"][0]._modules["conv"]._parameters["weight"]
    del unet._modules["down_blocks"][0]._modules["downsamplers"][0]._modules["conv"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["norm"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["norm"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["proj_in"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["proj_in"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["proj_out"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][0]._modules["proj_out"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["norm"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["norm"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["proj_in"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["proj_in"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["proj_out"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["attentions"][1]._modules["proj_out"]._parameters["bias"]
    del unet._modules["down_blocks"][1]._modules["downsamplers"][0]._modules["conv"]._parameters["weight"]
    del unet._modules["down_blocks"][1]._modules["downsamplers"][0]._modules["conv"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["norm"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["norm"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["proj_in"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["proj_in"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["proj_out"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][0]._modules["proj_out"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["norm"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["norm"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["proj_in"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["proj_in"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["proj_out"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["attentions"][1]._modules["proj_out"]._parameters["bias"]
    del unet._modules["down_blocks"][2]._modules["downsamplers"][0]._modules["conv"]._parameters["weight"]
    del unet._modules["down_blocks"][2]._modules["downsamplers"][0]._modules["conv"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["norm"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["norm"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["proj_in"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["proj_in"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["proj_out"]._parameters["weight"]
    del unet._modules["mid_block"]._modules["attentions"][0]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][0]._modules["upsamplers"][0]._modules["conv"]._parameters["weight"]
    del unet._modules["up_blocks"][0]._modules["upsamplers"][0]._modules["conv"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][0]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][1]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["upsamplers"][0]._modules["conv"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["upsamplers"][0]._modules["conv"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][1]._modules["attentions"][2]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][0]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][1]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["upsamplers"][0]._modules["conv"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["upsamplers"][0]._modules["conv"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][2]._modules["attentions"][2]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][0]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][1]._modules["proj_out"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["time_emb_proj"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv_shortcut"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["norm"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["norm"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["proj_in"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["proj_in"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn1"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][0]._modules["proj"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["ff"]._modules["net"][2]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_q"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_k"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_v"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["attn2"]._modules["to_out"][0]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm1"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm2"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["transformer_blocks"][0]._modules["norm3"]._parameters["bias"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["proj_out"]._parameters["weight"]
    del unet._modules["up_blocks"][3]._modules["attentions"][2]._modules["proj_out"]._parameters["bias"]
    del vae._modules["encoder"]._modules["conv_in"]._parameters["weight"]
    del vae._modules["encoder"]._modules["conv_in"]._parameters["bias"]
    del vae._modules["encoder"]._modules["conv_out"]._parameters["weight"]
    del vae._modules["encoder"]._modules["conv_out"]._parameters["bias"]
    del vae._modules["encoder"]._modules["conv_norm_out"]._parameters["weight"]
    del vae._modules["encoder"]._modules["conv_norm_out"]._parameters["bias"]
    del vae._modules["decoder"]._modules["conv_in"]._parameters["weight"]
    del vae._modules["decoder"]._modules["conv_in"]._parameters["bias"]
    del vae._modules["decoder"]._modules["conv_out"]._parameters["weight"]
    del vae._modules["decoder"]._modules["conv_out"]._parameters["bias"]
    del vae._modules["decoder"]._modules["conv_norm_out"]._parameters["weight"]
    del vae._modules["decoder"]._modules["conv_norm_out"]._parameters["bias"]
    del vae._modules["quant_conv"]._parameters["weight"]
    del vae._modules["quant_conv"]._parameters["bias"]
    del vae._modules["post_quant_conv"]._parameters["weight"]
    del vae._modules["post_quant_conv"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["downsamplers"][0]._modules["conv"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["downsamplers"][0]._modules["conv"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["downsamplers"][0]._modules["conv"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["downsamplers"][0]._modules["conv"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["downsamplers"][0]._modules["conv"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["downsamplers"][0]._modules["conv"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["down_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["group_norm"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["group_norm"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["query"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["key"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["value"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["proj_attn"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["upsamplers"][0]._modules["conv"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["upsamplers"][0]._modules["conv"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][0]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["upsamplers"][0]._modules["conv"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["upsamplers"][0]._modules["conv"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][1]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["upsamplers"][0]._modules["conv"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["upsamplers"][0]._modules["conv"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][2]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][0]._modules["conv_shortcut"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["up_blocks"][3]._modules["resnets"][2]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][0]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv1"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv1"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["norm2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv2"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["resnets"][1]._modules["conv2"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["group_norm"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["group_norm"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["query"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["key"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["value"]._parameters["bias"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["proj_attn"]._parameters["bias"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["query"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["key"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["value"]._parameters["weight"]
    del vae._modules["encoder"]._modules["mid_block"]._modules["attentions"][0]._modules["proj_attn"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["query"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["key"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["value"]._parameters["weight"]
    del vae._modules["decoder"]._modules["mid_block"]._modules["attentions"][0]._modules["proj_attn"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["embeddings"]._modules["token_embedding"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["embeddings"]._modules["position_embedding"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][0]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][1]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][2]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][3]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][4]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][5]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][6]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][7]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][8]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][9]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][10]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["k_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["k_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["v_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["v_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["q_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["q_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["out_proj"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["self_attn"]._modules["out_proj"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["layer_norm1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["layer_norm1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["mlp"]._modules["fc1"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["mlp"]._modules["fc1"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["mlp"]._modules["fc2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["mlp"]._modules["fc2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["layer_norm2"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["encoder"]._modules["layers"][11]._modules["layer_norm2"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["final_layer_norm"]._parameters["weight"]
    del text_model._modules["text_model"]._modules["final_layer_norm"]._parameters["bias"]
    del text_model._modules["text_model"]._modules["embeddings"]._buffers["position_ids"]
